
var EnemyCharacterClass_Bear = function(stage, args){
	EnemyCharacterClass_Bear.base.apply(this, [stage, [["kuma1.png","kuma2.png","kuma3.png","kuma4.png","kumaready.png","kumaswang.png","kuma3.png","kuma2.png",]]]);

	this.size.x = 64;
	this.size.y = 64;

	this.chasingRange = 400;
	this.movingVelocity = 130;
	this.max_HP = 40;
	this.HP = this.max_HP;
	this.isWeaponed = true;
	

	stage.addStageObject(this);
}.extend(EnemyCharacterClass, {
	className: "EnemyCharacterClass_Bear",
fire: function()
	{
		if(this.lastFireTick < this.ownerStage.manager.tickCount - this.fireTickInterval){
			var f = new FireObjectClass(this.ownerStage, [["bullets2.png"]]);
			f.maxBoundCount = 1;
			f.size.x = 40;
			f.size.y = 40;
			f.fire(this);
			f.movingVelocity= 10;
			f.antigravity=-200;
			this.fireTickInterval= 100;

			this.lastFireTick = this.ownerStage.manager.tickCount;
		}
	},
});
